Package org.tanukisoftware.wrapper

# Class WrapperWin32User

java.lang.Object
org.tanukisoftware.wrapper.WrapperUser
org.tanukisoftware.wrapper.WrapperWin32User

public class WrapperWin32User extends WrapperUser
A WrapperUser contains information about a user account on the platform running the Wrapper. A WrapperUser is obtained by calling WrapperManager.getUser() or WrapperManager.getInteractiveUser().

## Method Summary

Modifier and Type
Method
Description
`String`
`getAccount()`
Returns the full name of the user account.
`String`
`getDomain()`
Returns the domain name of the user account.
`long`
`getLoginTime()`
Returns the login time of the user account.
`String`
`getSID()`
Returns the current Security Identifier (SID) of the user account.
`String`
`toString()`
Returns a string representation of the user.

### Methods inherited from class org.tanukisoftware.wrapper.WrapperUser

`getGroups, getUser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSID

public String getSID()
Returns the current Security Identifier (SID) of the user account.

Returns:
  The SID of the user account.

### getDomain

public String getDomain()
Returns the domain name of the user account.

Returns:
  The domain name of the user account.

### getAccount

public String getAccount()
Returns the full name of the user account.

Returns:
  The full name of the user account.

### getLoginTime

public long getLoginTime()
Returns the login time of the user account.

Returns:
  The login time of the user account.

### toString

public String toString()
Returns a string representation of the user.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of the user.